%global enable_net_tests 0
Name:           perl-YUM-RepoQuery
Version:        0.1.2
Release:        1%{?dist}
Summary:        Query a YUM repository for package information
License:        LGPLv2+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/YUM-RepoQuery/
Source0:        http://www.cpan.org/authors/id/R/RS/RSRCHBOY/YUM-RepoQuery-%{version}.tar.gz
# RT#69124
Patch0:         %{name}-0.1.2-Remove-Test-DBICSchemaLoaderDigest-test.patch
# RT#69125
Patch1:         %{name}-0.1.2-Update-Fedora-repository-URL-in-test.patch
# RT#69126
Patch2:         %{name}-0.1.2-Pass-bunzip2-output-argument-as-file-name-string.patch
BuildArch:      noarch
BuildRequires:  perl(base)
BuildRequires:  perl(DBIx::Class)
BuildRequires:  perl(DBIx::Class::Schema)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Find::Rule)
BuildRequires:  perl(File::Slurp)
BuildRequires:  perl(File::stat)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(IO::Uncompress::Bunzip2)
BuildRequires:  perl(Moose)
BuildRequires:  perl(MooseX::AttributeHelpers) >= 0.21
BuildRequires:  perl(MooseX::Types::Path::Class)
BuildRequires:  perl(MooseX::Types::URI)
BuildRequires:  perl(namespace::clean) >= 0.11
BuildRequires:  perl(Path::Class) >= 0.16
BuildRequires:  perl(URI::Fetch)
BuildRequires:  perl(XML::Simple)
# Tests only:
BuildRequires:  perl(FindBin)
BuildRequires:  perl(ok)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(MooseX::AttributeHelpers) >= 0.21
Requires:       perl(namespace::clean) >= 0.11
Requires:       perl(Path::Class) >= 0.16

# Remove underspecified dependencies
%{?filter_setup:
%filter_from_requires /^perl(MooseX::AttributeHelpers)$/d
%filter_from_requires /^perl(namespace::clean)$/d
%filter_from_requires /^perl(Path::Class)$/d
%filter_setup
}

%description
YUM::RepoQuery takes the URI to a package repository with YUM meta-data, and
allows one to query what packages, and versions of those packages, are
available in that repository.

%prep
%setup -q -n YUM-RepoQuery-%{version}
%patch0 -p1 -b .remove_Test_DBICSchemaLoaderDigest
%patch1 -p1 -b .update_url
%patch2 -p1 -b .bunzip2

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
%if 0%{enable_net_tests}
export YRQ_LIVE_TESTS=1
%endif
make test

%files
%doc Changes LICENSE README TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Jun 28 2011 Petr Pisar <ppisar@redhat.com> 0.1.2-1
- Specfile autogenerated by cpanspec 1.78.
- Remove BuildRoot and defattr
- Remove test using non-existing Test::DBICSchemaLoaderDigest module
  (RT#69124)
- Update Fedora repository URL in test (RT#69125)
- Fix bunzip2 invocation (RT#69126)
